Debian Bug report logs - #704700
ITP: phpseclib -- implementations of an arbitrary-precision integer arithmetic library

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: David Prévot <taffit@debian.org>

Date: Thu, 4 Apr 2013 19:09:02 UTC

Owned by: David Prévot <taffit@debian.org>

Severity: wishlist

Fixed in version phpseclib/0.3.1-1

Done: David Prévot <taffit@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, icinga-web@packages.debian.org, ldap-account-manager@packages.debian.org, owncloud@packages.debian.org, pkg-php-pear@lists.alioth.debian.org, wnpp@debian.org:
Bug#704700; Package wnpp. (Thu, 04 Apr 2013 19:09:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to David Prévot <taffit@debian.org>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, icinga-web@packages.debian.org, ldap-account-manager@packages.debian.org, owncloud@packages.debian.org, pkg-php-pear@lists.alioth.debian.org, wnpp@debian.org. (Thu, 04 Apr 2013 19:09:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: David Prévot <taffit@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: phpseclib -- implementations of an arbitrary-precision integer arithmetic library
Date: Thu, 4 Apr 2013 15:07:58 -0400
[Message part 1 (text/plain, inline)]
Package: wnpp
Severity: wishlist
Owner: David Prévot <taffit@debian.org>

* Package name    : phpseclib
  Version         : 0.3.1
  Upstream Author : Jim Wigginton <terrafrost@php.net>
* URL             : http://phpseclib.sourceforge.net/
* License         : MIT
  Programming Lang: (C, C++, C#, Perl, Python, etc.)
  Description     : implementations of an arbitrary-precision integer arithmetic library

The PHP Secure Communications Library are fully PKCS#1 (v2.1) compliant
RSA, DES, 3DES, RC4, Rijndael, AES, SSH-1, SSH-2, SFTP, and X.509
implementations.


Additional notes: as “This library is written using the same conventions
that libraries in the PHP Extension and Application Repository (PEAR)
used to be written in”, I intend to maintain it under Debian PHP PEAR
umbrella. It is already embedded in icinga-web and ldap-account-manager,
and is also used by the upcoming ownCloud version.
[signature.asc (application/pgp-signature, inline)]

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Fri, 05 Apr 2013 07:06:05 GMT) Full text and rfc822 format available.

Reply sent to David Prévot <taffit@debian.org>:
You have taken responsibility. (Thu, 18 Apr 2013 13:03:35 GMT) Full text and rfc822 format available.

Notification sent to David Prévot <taffit@debian.org>:
Bug acknowledged by developer. (Thu, 18 Apr 2013 13:03:35 GMT) Full text and rfc822 format available.

Message #12 received at 704700-close@bugs.debian.org (full text, mbox):

From: David Prévot <taffit@debian.org>
To: 704700-close@bugs.debian.org
Subject: Bug#704700: fixed in phpseclib 0.3.1-1
Date: Thu, 18 Apr 2013 13:00:14 +0000
Source: phpseclib
Source-Version: 0.3.1-1

We believe that the bug you reported is fixed in the latest version of
phpseclib, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 704700@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
David Prévot <taffit@debian.org> (supplier of updated phpseclib package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Thu, 04 Apr 2013 19:05:03 -0400
Source: phpseclib
Binary: php-seclib
Architecture: source all
Version: 0.3.1-1
Distribution: unstable
Urgency: low
Maintainer: Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>
Changed-By: David Prévot <taffit@debian.org>
Description: 
 php-seclib - implementations of an arbitrary-precision integer arithmetic libr
Closes: 704700
Changes: 
 phpseclib (0.3.1-1) unstable; urgency=low
 .
   * Initial release. (Closes: #704700)
Checksums-Sha1: 
 ef32b421b0ea82e15de9dce5a778073258ff2deb 1903 phpseclib_0.3.1-1.dsc
 caeb61639e249b34808de15abba78b29b8af2507 164453 phpseclib_0.3.1.orig.tar.gz
 ebe834fe182ebb6e0b53c7cecc8b423550adefed 1776 phpseclib_0.3.1-1.debian.tar.gz
 f4e027758b7a148043722190a5dc883173e341ab 166176 php-seclib_0.3.1-1_all.deb
Checksums-Sha256: 
 e3bc1ccdc0828b02c4b3662d4054f94b43ec717a5165362b561058b40545189f 1903 phpseclib_0.3.1-1.dsc
 594d8ac8eccc04f34f082c31dfd483ff0239765598fcc49797ab90657ca0b6d0 164453 phpseclib_0.3.1.orig.tar.gz
 820ff3f4a38171f6677b7e2d7519f349b55783af19910dea970a664a8a7ac9d4 1776 phpseclib_0.3.1-1.debian.tar.gz
 3ba14bef8154bc95a6eef709b8ef5d28f2b09b1a70563d77ba55ea3ede1c96d0 166176 php-seclib_0.3.1-1_all.deb
Files: 
 6f168099ef4583b73978501e9668e137 1903 php optional phpseclib_0.3.1-1.dsc
 00b29430b6f1ad74ac9be3d2532b730f 164453 php optional phpseclib_0.3.1.orig.tar.gz
 6f8f704300af125bf5de72141c31f249 1776 php optional phpseclib_0.3.1-1.debian.tar.gz
 42aeaec9184a7d6a3ace1954b6c6cecd 166176 php optional php-seclib_0.3.1-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJRXixJAAoJELgqIXr9/gnyMykP/3tkbcAFCdrOdeLT/mDE5tmD
zNnQoU89M1MYcGxO8YmAOFaCNM0V9iHjqcO0gjLiWU4IyvkJrfffFss63tVzvzah
rV+zuP7qPpOgZsJjNg2rEZJh9RsO5/OSb/GfJhvaW0aeq8Wn4GYHQ63HY6RUQMBt
O7yETaZLGyvYfb3q3mjZZVhIj7g0g68kV5x4/8eMtKGduLsg5L49qpUUZdTVtZ6n
E+pLqb6gkQCozEWnyHyNlEUGbIjEO7AHNWRNOHWxbZpRDriTsaod/TuNGIkHc5Wk
9mZZXSwmOR8XL9afyLRtP/YRNSu4buKACSC+SO7bMpRCyywo9og1Ww3mRSSj/4yj
q5CaXLx5dVwSI2+9O+gRe+coSYMsCIqit8KFyOMsxPqxlhW+aQ83Y7LnNOqkY21z
vx7BAYoo8lqq2S3PqgDu14lAy08T6pd2lDinZzKu05LSyewnQVwO488whbCm57mg
XEkA4FALGC8jKA4Oe5PJCdeBV7tRbKx+cj0JzlvlpBU8UDNt5UTDSpKlkJblbI1F
J4K1PWwHSIE1SdWzypBTMaYfgKu/i/N8by5Rxj9hJosPGxqNwqDVXH3yxIZQPowv
USp89xnGvSDXf51kzLSSMdvkGoIfKmGTG/o6tTuL23fLTNLvM7mCsM8KEOxiVSkU
tLQN/Uk9TnOSvrMprPaH
=aXCo
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 17 May 2013 07:26:20 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 03:35:24 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.